[Tip] installieren einer bestimmten RPM-Version mit apt

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

[Tip] installieren einer bestimmten RPM-Version mit apt

Beitrag von oc2pus » 1. Sep 2004, 10:10

wenn man mit apt ein ganz bestimmtes Paket installieren möchte:
apt-get install <paket>=<version>

Beispiel für kernel-downgrade:
apt-get install kernel-default=2.5.6-104
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Werbung:
coogor
Hacker
Hacker
Beiträge: 639
Registriert: 21. Dez 2005, 12:10
Wohnort: Düsseldorf

Beitrag von coogor » 11. Jan 2006, 11:25

Yep. Interessant in dem Zusammenhang:
Samba ist aktuell auf 3.0.21a-1.1.0. Wenn aber der Release-candidate 3.0.21rc2-0.1 installiert ist, wird der rc als *aktueller* angesehen. Irgendwie unschön.

Cu
Axel

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 11. Jan 2006, 11:35

coogor hat geschrieben:Yep. Interessant in dem Zusammenhang:
Samba ist aktuell auf 3.0.21a-1.1.0. Wenn aber der Release-candidate 3.0.21rc2-0.1 installiert ist, wird der rc als *aktueller* angesehen. Irgendwie unschön.
Das ist aber ein RPM Problem ... das Programm rpm vergleicht die Versions-Releas-Strings alphanumerisch und deshalb ist ein xxRC1 neuer als ein XXa (weil "R" > "a").

Man kann sich ganz gut helfen mit dem Befehl apt policy <paket> um danach eine Installation mit apt install <pake>=<version> zu erzwingen.
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast